# PYTHIA configuration file.
# Generated on Mon Jun 28 12:21:08 CDT 2021 with the user supplied options:
# --prefix=$(PYTHIA8_FQ_DIR)
# --cxx=g++
# --cxx-common=-std=c++17 -fPIC -pedantic -W -Wall -Wshadow -Wno-deprecated-declarations -g -O3 -DNDEBUG -fno-omit-frame-pointer
# --with-gzip
# --with-python-include=$(PYTHON_INCLUDE)
# --with-lhapdf6=$(LHAPDF_FQ_DIR)
# --with-hepmc3-lib=$(HEPMC3_LIB)

# Install directory prefixes.
PREFIX_BIN=$(PYTHIA8_FQ_DIR)/bin
PREFIX_INCLUDE=$(PYTHIA8_INC)
PREFIX_LIB=$(PYTHIA8_LIB)
PREFIX_SHARE=$(PYTHIA8_FQ_DIR)/share/Pythia8

# Compilation flags (see ./configure --help for further documentation).
CXX=g++
CXX_COMMON=-std=c++17 -fPIC -pedantic -W -Wall -Wshadow -Wno-deprecated-declarations -g -O3 -DNDEBUG -fno-omit-frame-pointer -DGZIP
CXX_SHARED=-shared
CXX_SONAME=-Wl,-soname,
LIB_SUFFIX=.so

EVTGEN_USE=false
EVTGEN_CONFIG=
EVTGEN_BIN=
EVTGEN_INCLUDE=
EVTGEN_LIB=

FASTJET3_USE=false
FASTJET3_CONFIG=
FASTJET3_BIN=
FASTJET3_INCLUDE=
FASTJET3_LIB=

HEPMC2_USE=false
HEPMC2_CONFIG=
HEPMC2_BIN=
HEPMC2_INCLUDE=
HEPMC2_LIB=

HEPMC3_USE=true
HEPMC3_CONFIG=HepMC3-config
HEPMC3_BIN=
HEPMC3_INCLUDE=-I$(HEPMC3_INC)
HEPMC3_LIB=-L$(HEPMC3_LIB) -Wl,-rpath,$(HEPMC3_LIB) -lHepMC3

LHAPDF5_USE=false
LHAPDF5_CONFIG=HepMC3-config
LHAPDF5_BIN=
LHAPDF5_INCLUDE=
LHAPDF5_LIB=

LHAPDF6_USE=true
LHAPDF6_CONFIG=lhapdf-config
LHAPDF6_BIN=$(LHAPDF_FQ_DIR)/bin/
LHAPDF6_INCLUDE=-I$(LHAPDF_INC)
LHAPDF6_LIB=-L$(LHAPDF_LIB) -Wl,-rpath,$(LHAPDF_LIB) -lLHAPDF

POWHEG_USE=false
POWHEG_CONFIG=lhapdf-config
POWHEG_BIN=
POWHEG_INCLUDE=
POWHEG_LIB=

RIVET_USE=false
RIVET_CONFIG=lhapdf-config
RIVET_BIN=
RIVET_INCLUDE=
RIVET_LIB=

ROOT_USE=false
ROOT_CONFIG=lhapdf-config
ROOT_BIN=
ROOT_INCLUDE=
ROOT_LIB=

YODA_USE=false
YODA_CONFIG=lhapdf-config
YODA_BIN=
YODA_INCLUDE=
YODA_LIB=

GZIP_USE=true
GZIP_CONFIG=
GZIP_BIN=
GZIP_INCLUDE=
GZIP_LIB=-lz

PYTHON_USE=true
PYTHON_CONFIG=python-config
PYTHON_BIN=
PYTHON_INCLUDE=-I$(PYTHON_INCLUDE)
PYTHON_LIB=-L$(PYTHON_LIB) -Wl,-rpath,$(PYTHON_LIB)

MG5MES_USE=false
MG5MES_CONFIG=python-config
MG5MES_BIN=
MG5MES_INCLUDE=
MG5MES_LIB=

OPENMP_USE=false
OPENMP_CONFIG=python-config
OPENMP_BIN=
OPENMP_INCLUDE=
OPENMP_LIB=
